package com.hand.mas.ant.util;

public class TimeoutMonitor implements Runnable{
	Long timeOut;
	Process proc;
	public boolean successFlag = true;
	
	public TimeoutMonitor(Long timeOut,Process proc){
		this.timeOut = timeOut;
		this.proc = proc;
	}
	
	public void run(){
		try{
			Thread.sleep(timeOut);
			proc.destroy();
			successFlag = false;
		}catch(InterruptedException e){
			
		}finally{
			
		}
	}
}
